# Class VulkanDebugUtilsSLF4J

java.lang.Object
com.io7m.jcoronado.extensions.ext_debug_utils.api.VulkanDebugUtilsSLF4J

All Implemented Interfaces:
  `VulkanDebugUtilsMessengerCallbackEXTType`

public final class VulkanDebugUtilsSLF4J extends Object implements VulkanDebugUtilsMessengerCallbackEXTType
A convenience callback that delegates logging to SLF4J.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `VulkanDebugUtilsSLF4J.InfoBehavior`
  The behaviour for "info" level messages.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanDebugUtilsSLF4J(org.slf4j.Logger inLogger)`
  Construct a callback.
  `VulkanDebugUtilsSLF4J(org.slf4j.Logger inLogger, VulkanDebugUtilsSLF4J.InfoBehavior inInfoBehavior)`
  Construct a callback.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `call(Set<VulkanDebugUtilsMessageSeverityFlag> severity, Set<VulkanDebugUtilsMessageTypeFlag> types, VulkanDebugUtilsMessengerCallbackDataEXT data)`
  The callback method.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VulkanDebugUtilsSLF4J

    public VulkanDebugUtilsSLF4J(org.slf4j.Logger inLogger)
    Construct a callback.
    Parameters:
      `inLogger` - The logger

  - ### VulkanDebugUtilsSLF4J

    public VulkanDebugUtilsSLF4J(org.slf4j.Logger inLogger, VulkanDebugUtilsSLF4J.InfoBehavior inInfoBehavior)
    Construct a callback.
    Parameters:
      `inLogger` - The logger
      `inInfoBehavior` - The info behavior

- ## Method Details

  - ### call

    public boolean call(Set<VulkanDebugUtilsMessageSeverityFlag> severity, Set<VulkanDebugUtilsMessageTypeFlag> types, VulkanDebugUtilsMessengerCallbackDataEXT data)
    Description copied from interface: `VulkanDebugUtilsMessengerCallbackEXTType`
    The callback method. The method should return `false`.
    Specified by:
      `call` in interface `VulkanDebugUtilsMessengerCallbackEXTType`
    Parameters:
      `severity` - The message severity
      `types` - The message types
      `data` - The message data
    Returns:
      A value interpreted in a layer-specified manner